from datetime import datetime
from typing import Optional

from core.database.abc.db_model_abc import DbModelABC


class ExecutedMigration(DbModelABC):
    def __init__(
        self,
        migration_id: str,
        created: Optional[datetime] = None,
        modified: Optional[datetime] = None,
    ):
        DbModelABC.__init__(self, migration_id, False, created, modified)

    @property
    def migration_id(self) -> str:
        return self._id
